;******************************************************************************
;*                                                                            *
;*  Firmware TRXCharger                                                       *
;*                                                                            *
;*  Copyright (C) 2005 Andreas Dittrich <dittrich@eit.uni-kl.de>              *
;*  Project start: 01.08.2004                                                 *
;*  Last change  : 06.11.2005                                                 *
;*                                                                            *
;******************************************************************************

;------------------- calibration values ------------------------------------------------------------------

.EQU  I_charge_factor_EEPROM = 17407		;this is the maximum valid value
	;"charge current" = I_charge_code * (I_charge_factor/256) * ( U_ref_adc/(20*1024*R_shunt) )
	;	I_charge_factor NOT LARGER THAN (1024*256/15) !!!
	;	e.g. R_shunt=0.02Ohm, U_ref_adc=2.56V, I_charge_code=1, I_charge_factor=8192
	;	==> "Charge Current" = 200mA
.EQU  T_discharge_factor_EEPROM = 8*256		
	;"peak discharge current" = I_charge_code * T_discharge_factor/(8*256)*U_ref_adc*R2/(R1+R2)*10us/L
	;	e.g. L=100uH, R1=33k, R2=10k, U_ref_adc=2.56V, I_charge_code=1
	;	==> "peak discharge current" = 1A

;-----------------------------------------------------------------------------------------------------------------------

;***** EEPROM Variables
.ESEG
.ORG 0 
I_charge_factor:
.dw I_charge_factor_EEPROM
T_discharge_factor:	
.dw T_discharge_factor_EEPROM
I_charge_code_last: 
.db 1, 0 

